# permissions for end users to view userprovideddirectories.
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: userprovideddirectory-viewer-role
rules:
- apiGroups:
  - webeos.webservices.cern.ch
  resources:
  - userprovideddirectories
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - webeos.webservices.cern.ch
  resources:
  - userprovideddirectories/status
  verbs:
  - get
